   html, body {
  overflow-x: hidden;
}
* {
  -webkit-tap-highlight-color: transparent; /* handy touch */
  box-sizing: border-box;
}


   
   body {
    font-family:Roboto, arial, sans-serif;
    font-size: 20px;
    line-height: 1.6;
    background: #fce2e3;
    background-image:url("images/luftballons.png");
    background-repeat: no-repeat;
    background-size:40%;
    background-position:left 45px top 30vh;
    background-attachment: fixed;
    color: white;
    margin: 0px;
    padding: 0px;
  }


img {
  max-width: 100%;
  height: auto;
  display: block;
}


#confetti{
  background: transparent;
  height: 100%;
  left: 0px;
  position: fixed;
  top: 0px;
  width: 100%;
  z-index: -1;
}

#logo {
  width: 250px; /* kleiner machen */
  height: auto; /* proportional skalieren */
  position: fixed; /* besser für exakte Platzierung */
 top: 18px;
 left: 20px;
}




    header {
    background-image: url('images/header.png');
    background-size: cover;
    display: flex;
    align-items: center;
    position:fixed;
    top: 0px;
    width: 100%;
    height: 90px;
    color: white;
    padding: 20px;
    text-align: center;
    z-index:100;
border-bottom: 1px solid white;
}

header img { max-width: 100%; height: auto; }


#ele {
position:fixed;
bottom: -25px;
right: 0px;
z-index:9999;
}


@font-face {
  font-family:'impact';
  src: url('fonts/impact.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family:'Roboto';
  src: url('fonts/Roboto.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}



h1 {
  font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  position:absolute;
  top: -20px;
  left:40%;
  font-size: 500%;
  color: #f1a11b;
  margin: 0;
  padding: 0;
  letter-spacing: 2px;
  text-shadow: 0.05em -0.03em 0  rgba(255,255,255, 1),
        0.05em 0.005em 0  rgba(255,255,255, 1), 0em 0.08em 0  rgba(255,255,255, 1),
        0.05em 0.08em 0  rgba(255,255,255, 1), 0px -0.03em 0  rgba(255,255,255, 1),
        -0.03em -0.03em 0  rgba(255,255,255, 1), -0.03em 0.08em 0 rgba(255,255,255, 1), -0.03em 0 0  rgba(255,255,255, 1);
      span {
        transform: scale(0.9);
        display: inline-block;
      }
      span:first-child {
        animation: bop 1s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards infinite
          alternate;
      }
      span:last-child {
        animation: bopB 1s 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards
          infinite alternate;
      }
    }
    
    @keyframes bop {
      0% {
        transform: scale(0.9);
      }
      50%,
      100% {
        transform: scale(1);
      }
    }
    
    @keyframes bopB {
      0% {
        transform: scale(0.9);
      }
      80%,
      100% {
        transform: scale(1) rotateZ(-3deg);
      }
    }
    
#gruss-start {
  font-family:'impact', microsoft, arial, sans-serif;
  text-shadow: 0.05em -0.03em 0  rgba(255,255,255, 1),
        0.05em 0.005em 0  rgba(255,255,255, 1), 0em 0.08em 0  rgba(255,255,255, 1),
        0.05em 0.08em 0  rgba(255,255,255, 1), 0px -0.03em 0  rgba(255,255,255, 1),
        -0.03em -0.03em 0  rgba(255,255,255, 1), -0.03em 0.08em 0 rgba(255,255,255, 1), -0.03em 0 0  rgba(255,255,255, 1);
  position: relative;
  top: 350px;
  text-align: center;
  font-size: 400%;
  color: #008875;
  margin:0px;
  padding: 0;
}



h2 {
     font-family:'impact', microsoft, arial, sans-serif;
    text-shadow: 0.05em -0.03em 0  rgba(255,255,255, 1),
        0.05em 0.005em 0  rgba(255,255,255, 1), 0em 0.08em 0  rgba(255,255,255, 1),
        0.05em 0.08em 0  rgba(255,255,255, 1), 0px -0.03em 0  rgba(255,255,255, 1),
        -0.03em -0.03em 0  rgba(255,255,255, 1), -0.03em 0.08em 0 rgba(255,255,255, 1), -0.03em 0 0  rgba(255,255,255, 1);
  position: relative;
  top: 0px;
  text-align: center;
  font-size: 350%;
  color: #f1a11b;
  margin: 0;
  padding: 0;
}


h3 {
  font-family:'impact', microsoft, arial, sans-serif;
  text-shadow: 0 -1px white,1px 0 white, 0 1px white, -1px 0 white;
  position: relative;
  top: 0px;
  left: 0px;
  font-size: 160%;
  color: #7eaea2;
  margin: 0;
  padding: 0;
}

p{
 font-weight:bold;
text-shadow: 1px 1px 1px black;
 }

    .nav {
      background-color: #c52821;
      display: flex;
      justify-content: center;
      position:fixed;
      top: 130px;
      width: 100%;
      gap: 20px;
      padding: 20px;
      flex-wrap: wrap;
      z-index:1;
      border-bottom: 1px solid white;

}

    .nav a, footer a {
      color: white;
      text-decoration: none;
      font-weight: bold;
      padding: 8px 12px;
      transition: background-color 0.3s ease;
      font-weight:bold;
      text-shadow: 1px 1px 1px black;

}

    .nav a:hover {
      background-color:#008875;
      border-radius: 4px;
      padding: 7px 11px;
      border: 1px solid white;


}

    .nav a.active {
      background-color: #008875;
      border-radius: 4px;
      padding: 7px 11px;
      border: 1px solid white;

}
.hamburger {
  width: 32px;
  height: 24px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  position: fixed;
  top: 10px;
  left: 10px;
  z-index: 9999;
}

.hamburger span {
  height: 3px;
  width: 100%;
  background: white;
  border-radius: 2px;
  transition: transform 0.35s ease, opacity 0.3s ease;
  box-shadow: 2px 2px 2px black;

}

/* --- Perfekte X-Animation --- */
.hamburger.open span:nth-child(1) {
  transform: translateY(10.5px) rotate(45deg);
}

.hamburger.open span:nth-child(2) {
  opacity: 0;
}

.hamburger.open span:nth-child(3) {
  transform: translateY(-10.5px) rotate(-45deg);
}
 /* Breakpoint */
 @media (max-width: 1024px) {
   .nav-links {
     display: none;
     }
     
    .hamburger { 
      display: flex;
     }
     }
      
/* Mobile Navigation */
.mobile-nav {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 100%; /* WICHTIG: nicht 100vw */
  background: rgba(197, 40, 33, 0.9);
  padding: 120px 20px 20px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  transform: translateX(100%);
  opacity: 0;
  pointer-events: none;
  transition: transform 0.35s ease, opacity 0.35s ease;
}

.mobile-nav.show {
  transform: translateX(0);
  opacity: 1;
  pointer-events: auto;
}

.mobile-nav a {
  display: block;
  width: 100%; 
  font-family:'Impact', microsoft, arial, sans-serif;
  font-size: 30px;
  padding: 15px 20px 0px 0px;
  text-decoration: none;
  color: white;
  align-self: flex-start;
  text-shadow: 1px 1px 1px black;
}
 

.mobile-nav a:hover {
  padding: 10px;
  text-decoration: underline;
  font-weight: bold;
}


section {
  position:relative;
  max-width: 1200px;
  margin: 450px auto;
  padding: 40px;
  background: rgba(0,136,117, 0.5);
  backdrop-filter: blur(6px) saturate(160%);
  -webkit-backdrop-filter: blur(14px) saturate(160%);
  border: 1px solid white;
  border-radius: 4px;
  box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
  overflow: hidden; /* wichtig für Körnung */
 }

      #workshops ul{
       list-style: none;
      }

        #workshops ul li::before {
         content:"" ;
        }

      #kontakt{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        }

      #abschied{
       background-image: url(images/clown3.png);
       background-repeat: no-repeat;
       background-size:400px;
       background-position:100% -80px;
       height: 300px;
       display: flex;
       justify-content: center;
       align-items: center;

      }

b {
  color:#f1a11b; 
  font-weight: bold;
  text-shadow: 1px 1px 1px black;
  font-size:25px;
}

ul {
  list-style: none;
  text-shadow: 1px 1px 1px black;
  font-weight: bold;
}

ul li::before {
  content:"🎈" ;
 margin-left: 0px;
}

ul li{
  text-indent: -1.1em;
  padding-left: 1.1em;
}
.portrait {
    float: right;
    border-radius: 50%;
    width: 300px;
    padding: 0px;
    background:rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
    overflow: hidden; /* wichtig für Körnung */
}

  /* Nur auf kleinen Bildschirmen: Bild zentrieren */
  @media (max-width: 767px) {
.portrait {
      float: none;
      display: block;
      margin: 0 auto;
}
}



.grid {
      display: grid;
      grid-template-columns: 1fr;
      gap: 20px;
}

    @media screen and (min-width: 600px) {
.grid {
        grid-template-columns: repeat(2, 1fr);
}
}

    @media screen and (min-width: 900px) {
.grid {
        grid-template-columns: repeat(3, 1fr);
}
}

.card {
      background-color: #e3ecf3;
      padding: 15px;
      border-radius: 6px;
}

    form {
      display: flex;
      flex-direction: column;
      gap: 15px;
      width: 500px;
      margin: 0 auto;

      
}

    input, textarea {
      
      padding: 10px;
      border-radius: 6px;
      border: 1px solid white;
      font-size: 1rem;
      background-color: #245038;
      color: white;
}

    input::placeholder,
    textarea::placeholder {
      color: white;
      background-color: #245038;
    font-family:Calibri, arial, sans-serif;


}
    input:focus,
    textarea:focus,
    select:focus {
     outline: none; /* Entfernt den blauen Rahmen */
     border: 2px solid #c52821;
}


.button-kontakt,
.button-impressum {
  width: 60%;
  height: 80px;
    background:rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 8px rgba(0,0,0,0.25),
    0 0 8px rgba(255,255,255,0.18) inset;
    overflow: hidden; /* wichtig für Körnung */
  border-radius: 8px;
  cursor: pointer;
  display: flex;
  flex-direction: column;     
  align-items: center;
  justify-content:center;
  padding: 0px;   
  margin-bottom: 20px;
  font-family: Roboto;
  text-shadow: 1px 1px 1px black;
  font-size: 20px;
  color:white; 
  font-weight: bold;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100px;
  box-sizing: border-box;

}
 

 .kontakt ul{
  list-style:none !important;
 }
.kontakt ul li::before {
 content:"" ;
}

   .button-kontakt:hover{
     background-color: #f1a11b;
     color: white;
     border: 1px solid white;
}

.button-impressum { 
   display: block;
    margin-bottom: 20px;
   width: 70%;
   background-color: #beccc9;
   color:white !important;
     display: flex;
  flex-direction: column;     
  align-items: center;
  justify-content:center;
  }


.kontakt a{
 text-decoration:none; 
}

#kontakt img{
  margin-left:145px;
  max-width:100%;
}


.slideshowContainer {
  position: relative;
  overflow: hidden;
  margin: 50px auto;
  width: 60%;
  height: 500px;
}

.imageSlides {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  min-width: 100%;
  min-height: 100%;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  z-index: -1;
}

/* add 'visible' class via Javascript */
.visible {
  opacity: 1;
}

.slideshowArrow {
  font-size: 7em;
  color: rgba(255, 255, 255, 0.8);
  cursor: pointer;
  transition: opacity 0.2s ease-in-out;
}

.slideshowArrow:hover {
  opacity: 0.75;
}

#leftArrow {
  position: absolute;
  left: 5%;
  top: 50%;
  transform: translate(-50%, -50%);
}

#rightArrow {
  position: absolute;
  right: 5%;
  top: 50%;
  transform: translate(50%, -50%);
}

.slideshowCircles {
  position: absolute;
  bottom: 2%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.circle {
  display: inline-block;
  margin-left: 3px;
  margin-right: 3px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: solid 2px rgba(255, 255, 255, 0.5);
  transition: 1s ease-in-out;
}

.dot {
  background-color: rgba(255, 255, 255, 0.7);
  border: solid 2px rgba(255, 255, 255, 0.5);
}


    footer {
      position:fixed;
      display:flex;
      justify-content: center;
      align-items: center;
      gap: 30px;
      bottom: 0px;
      width:100%;
      padding: 20px 0px 20px 0px;
      background-color: #c52821;
      color: white;
      margin-top: 40px;
      border-top: 1px solid white;
      z-index:100;
      font-size: 100%;
}

     footer a {
      color: white;
      padding: 1px 12px;
}

footer a:hover {
      background-color: #507e6c;
      color:white;
      border-radius: 4px;
      padding: 0px 11px;
      border: 1px solid white;
}
footer a.active {
   background-color: #507e6c;
}



/* Overlay-Hintergrund */
/* Modal-Fenster */
.modal {
  position: fixed;
  top:60%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fce2e3;
  color:black;
  width: 90%;
  max-width: 500px;
  margin: 0 auto;
  box-sizing: border-box;
  max-height: 90vh;       /* Begrenzung der HÃ¶he */
  overflow-y: auto;       /* Scrollbar bei Bedarf */
  padding: 30px 30px 30px 30px;
  border-radius: 8px;
  z-index: 1000;
  display: none;
  box-shadow: 0 0 20px rgba(0,0,0,0.3);
  text-align: left;
}
.modal h2{
  text-decoration:underline overline;
  text-shadow: 2px 2px 2px black;
  text-align: center;
  margin-bottom: 50px;
  font-size:200%;
}

.modal h3{
text-shadow: 2px 2px 2px black;
}

.modal p{
  text-shadow: none;
}
.modal a {
text-decoration:underline;
text-shadow: 1px 1px 1px black;
  color: #7eaea2;
}

.modal-content {
  width: 100%;
  box-sizing: border-box;
  overflow-wrap: break-word; /* lange Wörter umbrechen */
  animation: fadeIn 0.3s ease;
}

@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.95); }
  to   { opacity: 1; transform: scale(1); }
}


.close {
  position: absolute;
  margin-top: -270px;
  right: 10px;
  font-size: 3.5rem;
  cursor: pointer;
  z-index: 10;
}
.modal-logo {
  display: block;
  margin: 0 auto;
  width: 220px;  
}

.modal ul {
  list-style: none;
  width:100%;
}

.modal ul li::before {
  content:"";
}


 #scrollTopBtn {
  position: fixed;
  bottom:100px;
  right:18vw;
  z-index: 9999;
  font-size: 1.5rem;
  width:50px;
  background-color: #f1a11b;
  background-image: url(images/pfeil.png);
  background-repeat: no-repeat;
  background-position:center;
  background-size: 20px;
  box-sizing: border-box;

  color: white;
  border: none;
  border-radius: 50%;
  border:1px solid white;
  padding: 23px 0px;
  cursor: pointer;
  display: none; /* Anfangs versteckt */
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  transition: opacity 0.3s ease;
}

#scrollTopBtn:hover {
  background-color:  #507e6c;
  border:1px solid white;

}
 


                                                  @media screen and (max-width:1440px) {
header{
  height:130px;
}                                                    
section {
      position:relative;
      max-width: 900px;
}  
#gruss-start {
margin-bottom:50px;
}

#ele {
position:relative;
top: 190px;
left:450px;
z-index:1;
}
#hereinspaziert{
  margin-top: 100px;
}
.button-kontakt{
margin: 0 auto;
}

}  

                                                  @media screen and (max-width:1280px) {
#gruss-start {
margin-top:-100px;
}

#ele {
position:relative;
top: 250px;
 }

#hereinspaziert{
margin-top: 190px;
}
 #hereinspaziert img{
margin: 0 auto;
 }
.kontakt {
width:100%;
margin-left: 0px;
padding-bottom: 20px;
}
#kontakt img{
 margin-left:200px;
  width:40%;
}
.button-kontakt {
width:100%;
margin-left:-30px;
margin-bottom:30px;
}

#abschied-content{
  margin-top:-100px;
  margin-left: -220px;
  width:80%;
}


                                                @media screen and (max-width:1024px) {

h1 {
 font-size: 380%;
}



#ele {
position:relative;
top: 170px;
right: 0px;
z-index:0;
}

.nav {
display: none;
}

.mobile-nav.show {
    display: flex;
}

}



                                                      @media screen and (max-width:834px) {
header{
  height: 150px;
}
section{
  width: 80%;
}

#logo {
position:relative;
top: 50px;
left: -20px;
width:150px;
}

img{
max-width: 100%;
}

h1 {
margin-top: 20px;
}

#gruss-start{
margin-top:-100px;
font-size:400%;
}

#ele {
position:relative;
top:250px;
left:200px;
z-index:1;
}

#hereinspaziert{
margin-top: 190px;
}

.slideshowContainer {
width:100%;
height: 400px;
}

#abschied b{
  font-size:25px;

}
#abschied p{
  font-size: 22px;

}
}



                                                @media  screen and (max-width:480px) {
h1 {
display: none;
}

h2 {
font-size: 220%;
}

p {
font-size: 30px;
}

b{
  font-size:38px;
}

ul{
  font-weight:bold;
font-size: 30px; 
padding-left:0px;
text-shadow: 1px 1px 1px black;
}

body{
background-image: none;
}

header {
background-image: url('images/headermobil.png');
position:absolute;
width:100%;
max-width:100%;
}

#gruss-start {
font-size:230%;
}


img{
max-width: 100%;
}
 
 #logo {
margin:0 auto;
width:80%;
}

#ele {
position:relative;
top: 240px;
left: 20px !important;
z-index:2;
}
section {
      width:95%;
      margin:180px auto;
}


#kontakt img{
  margin-left:0px;
}
.kontakt {
width:100%;
margin-left: 0px;
padding-bottom: 20px;
}

.button-kontakt {
font-size: 18px;
width:100%;
height:100px;
margin-bottom:50px;
margin-left: -10px;
text-align:center;
}

.slideshowContainer {
position: relative;
overflow: hidden;
margin: 50px 0 75px;
width: 100%;
height: 300px;
}

footer {
gap: 5px;
font-size: 20px;
text-align:left;
}

.modal{
font-size: 20px;
margin-left:-20px;
}

.modal h2{
font-size:170%;
}

#abschied{
  background-size:300px;
  background-position:250px -60px;
}
#abschied-content{
  width: 60%;
  margin-left:-100px;
}
#abschied b{
  font-size: 25px !important;
}

#abschied p{
  font-size: 20px !important;
}
}

                                                @media  screen and (max-width: 414px) {
h2 {
 font-size: 170%;
}
p {font-size: 22px;
}

 b{
  font-size:24px;
 }

 ul li{
  font-size: 22px;

 }

  #logo {
width:60%;
}

#kontakt img{
  width:70%;
  margin-left: 20px;
}

.button-kontakt {
font-size: 16px !important;
}


#ele {
position:relative;
top: 250px;
left: 20px;
z-index:2;
}
#hereinspaziert{
margin-top: 210px;
}

section {
      margin: 180px auto;
}
#abschied{
  background-size:200px;
  background-position:150px 50px;
}
#abschied-content{
  margin-left: -100px !important;
  width: 200px;
}
#abschied b{
  font-size: 20px !important;
}

.mobile-nav {
  padding-top: 50px;
}
.mobile-nav a {
font-size: 18px;

}
.modal h2{
font-size: 135%;
margin-top:50px;
}
.modal h3{
  font-size:26px;
}

                                                }

                                                @media  screen and (max-width: 375px) {

  p {
  font-size:21px;
}
 ul li{
  font-size:21px;
 }
 section {
    padding-left:5px;
    padding-right:5px;
    width:90%;
}
                                               

#gruss-start{
  font-size: 200%;
}

#ele {
position:relative;
top: 250px;
left: -10px !important;
z-index:2;
}

#hereinspaziert{
 margin-top:180px;
}
.slideshowContainer {
  height: 250px;
}

.kontakt{
  width:100% !important;
  margin-left: -10px;
}

 .button-kontakt{
  margin-left:-5px;
   font-size: 20px;
   height: 80px;
   padding-bottom:0px;

 }
.modal{
top:50%;
} 

.modal img{
  width:60%;
}


}


